[arch-commits] Commit in (4 files)

Thomas Bächler thomas at archlinux.org
Thu Aug 26 14:32:27 EDT 2010


    Date: Thursday, August 26, 2010 @ 14:32:27
  Author: thomas
Revision: 88966

Replace libv4l with v4lutils

Added:
  v4l-utils/
  v4l-utils/repos/
  v4l-utils/trunk/
  v4l-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Added: v4l-utils/trunk/PKGBUILD
===================================================================
--- v4l-utils/trunk/PKGBUILD	                        (rev 0)
+++ v4l-utils/trunk/PKGBUILD	2010-08-26 18:32:27 UTC (rev 88966)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+pkgname=v4l-utils
+pkgver=0.8.0
+pkgrel=1
+pkgdesc="Userspace tools and conversion library for Video 4 Linux"
+arch=('i686' 'x86_64')
+url="http://freshmeat.net/projects/libv4l"
+provides=("libv4l=$pkgver")
+replaces=('libv4l')
+conflicts=('libv4l')
+license=('LGPL')
+makedepends=('qt')
+optdepends=('qt')
+depends=('glibc' 'gcc-libs' 'sysfsutils')
+source=(http://linuxtv.org/downloads/v4l-utils//${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('aca1f3afdc64b0bff80af0644a1e146f64d7d276229bd8c296d01cab311473fc')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  sed -i 's|CFLAGS :=|CFLAGS ?=|' Make.rules
+
+  make PREFIX="/usr"
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make install PREFIX="/usr" DESTDIR="${pkgdir}/" || return 1
+}


Property changes on: v4l-utils/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list